| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ProtocolPropertiesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QVariantMap >.

## Public Member Functions

| ProtocolPropertiesMap ()
| ProtocolPropertiesMap (const QMap< QString, QVariantMap > &a)
ProtocolPropertiesMap & | operator= (const QMap< QString, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QVariantMap>, but needed to have a discrete type in the Qt type system.

A map from protocol identifiers supported by a connection manager to the immutable properties of the corresponding ProtocolInterface objects.

## Constructor & Destructor Documentation

Tp::ProtocolPropertiesMap::ProtocolPropertiesMap | ( |  | ) |

inline

Tp::ProtocolPropertiesMap::ProtocolPropertiesMap | ( | const QMap< QString, QVariantMap > & | a | ) |

inline

## Member Function Documentation

ProtocolPropertiesMap& Tp::ProtocolPropertiesMap::operator= | ( | const QMap< QString, QVariantMap > & | a | ) |

inline